aboutsummaryrefslogtreecommitdiff
path: root/bin/.local
diff options
context:
space:
mode:
authorBardofSprites <[email protected]>2026-02-02 18:58:20 -0500
committerBardofSprites <[email protected]>2026-02-02 18:58:20 -0500
commit52c97d6a770855f56a19b30cc168afae93cbac7a (patch)
tree11a85a097a7dd251ccd6e961de30d74908eeb960 /bin/.local
parent4d37b87b6f20e1d15c9f41a187a1eba6ff5058ba (diff)
cleanup
Diffstat (limited to 'bin/.local')
-rwxr-xr-xbin/.local/bin/scripts/cht.sh13
-rwxr-xr-xbin/.local/bin/scripts/countdownbin2639624 -> 0 bytes
-rwxr-xr-xbin/.local/bin/scripts/daily.sh16
-rwxr-xr-xbin/.local/bin/scripts/directory_navigator34
-rwxr-xr-xbin/.local/bin/scripts/dmenuunicode18
-rw-r--r--bin/.local/bin/scripts/dzen2.sh31
-rw-r--r--bin/.local/bin/scripts/emacs-theme.el10
-rwxr-xr-xbin/.local/bin/scripts/emacs/show-agenda.sh4
-rw-r--r--bin/.local/bin/scripts/emacs/youtube.el10
-rw-r--r--[-rwxr-xr-x]bin/.local/bin/scripts/find-yt-rss (renamed from bin/.local/bin/scripts/youtube.sh)0
-rwxr-xr-xbin/.local/bin/scripts/generic-theme-switch66
-rwxr-xr-xbin/.local/bin/scripts/nsxiv-date.sh3
-rwxr-xr-xbin/.local/bin/scripts/nsxiv-pipe24
-rwxr-xr-xbin/.local/bin/scripts/pandoc-odt2
-rw-r--r--bin/.local/bin/scripts/rss.py43
-rwxr-xr-xbin/.local/bin/scripts/school-video29
-rwxr-xr-xbin/.local/bin/scripts/scratch.sh21
-rwxr-xr-xbin/.local/bin/scripts/smart-launcher39
-rwxr-xr-xbin/.local/bin/scripts/status/all152
-rwxr-xr-xbin/.local/bin/scripts/theme-switch.sh98
-rw-r--r--bin/.local/bin/scripts/youtube.py22
21 files changed, 1 insertions, 634 deletions
diff --git a/bin/.local/bin/scripts/cht.sh b/bin/.local/bin/scripts/cht.sh
deleted file mode 100755
index bec30aa..0000000
--- a/bin/.local/bin/scripts/cht.sh
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/usr/bin/env bash
-
-languages=$(echo "cpp clojure haskell ocaml python typescript" | tr " " "\n")
-core_utils=$(echo "find xargs sed awk" | tr " " "\n")
-
-selected=$(echo -e "$languages\n$core_utils" | fzf)
-read -p "query: " query
-
-if echo "$languages" | grep -qs $selected; then
- tmux split-window -h bash -c "curl cht.sh/$selected/$(echo "$query" | tr " " "+") | less"
-else
- curl cht.sh/$selected~$query
-fi
diff --git a/bin/.local/bin/scripts/countdown b/bin/.local/bin/scripts/countdown
deleted file mode 100755
index 8188637..0000000
--- a/bin/.local/bin/scripts/countdown
+++ /dev/null
Binary files differ
diff --git a/bin/.local/bin/scripts/daily.sh b/bin/.local/bin/scripts/daily.sh
deleted file mode 100755
index 5b18ecb..0000000
--- a/bin/.local/bin/scripts/daily.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/usr/bin/env bash
-
-# Weather information
-weather_info="Погода $(curl -s wttr.in/?format="%c+%C+%t+%p\n")"
-
-# Top todos from todo.org file under "Important Stuff"
-todos=$(grep -A 100 '^\*\* Important Stuff$' /home/bard/Notes/Org-Roam/todo.org | grep '^\*\*\* TODO' | sed -E 's/^\*\*\* TODO (.+)$/\1/' | sed -E 's/\s*:[^:]+:\s*//g' | sed 's/^/☑ /')
-todos_message="Задачи на сегодня:\n${todos}"
-
-# Most recent backup status
-backup_log="/mnt/hdd/backup_status.log"
-backup_status=$(sed -n '1p; 2,9p' "$backup_log" | tr '\n' '\n')
-
-# Send desktop notification
-notify-send -i ~/.local/share/icons/Glass/cup.png "Доброе Утро Данила" "<b>${weather_info}</b>\n${todos_message}\n${backup_status}"
-echo -e "Доброе Утро Данила" "${weather_info}\n${todos_message}\n${backup_status}"
diff --git a/bin/.local/bin/scripts/directory_navigator b/bin/.local/bin/scripts/directory_navigator
deleted file mode 100755
index 6dac947..0000000
--- a/bin/.local/bin/scripts/directory_navigator
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/usr/bin/env bash
-
-# Navigate directories with fzf and open a program based on file extension
-
-# Function to navigate directories with fzf
-navigate_directories() {
- selected_file=$(find "$HOME" -type f | fzf --height=50%)
- if [ -n "$selected_file" ]; then
- file_extension="${selected_file##*.}"
-
- case "$file_extension" in
- "pdf")
- zathura "$selected_file"
- ;;
- ".org")
- emacsclient -c "$selected_file"
- ;;
- ".png" | ".webp" | ".gif" | ".jpg")
- nsxiv "$selected_file"
- ;;
- *)
- # Example: open other file types with a default program
- xdg-open "$selected_file"
- ;;
- esac
- fi
-}
-
-# Main script
-main() {
- navigate_directories
-}
-
-main
diff --git a/bin/.local/bin/scripts/dmenuunicode b/bin/.local/bin/scripts/dmenuunicode
deleted file mode 100755
index b444742..0000000
--- a/bin/.local/bin/scripts/dmenuunicode
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-# The famous "get a menu of emojis to copy" script.
-
-# Get user selection via dmenu from emoji file.
-chosen=$(cut -d ';' -f1 ~/.local/share/fonts/emoji | dmenu -i -l 30 | sed "s/ .*//")
-
-# Exit if none chosen.
-[ -z "$chosen" ] && exit
-
-# If you run this command with an argument, it will automatically insert the
-# character. Otherwise, show a message that the emoji has been copied.
-if [ -n "$1" ]; then
- xdotool type "$chosen"
-else
- printf "%s" "$chosen" | xclip -selection clipboard
- notify-send "'$chosen' copied to clipboard." &
-fi
diff --git a/bin/.local/bin/scripts/dzen2.sh b/bin/.local/bin/scripts/dzen2.sh
deleted file mode 100644
index 4eee4a4..0000000
--- a/bin/.local/bin/scripts/dzen2.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/usr/bin/env bash
-
-# Set the font and colors
-FONT="-*-terminus-medium-*-*-*-12-*-*-*-*-*-*-*"
-FG_COLOR="#FFFFFF"
-BG_COLOR="#333333"
-
-# Set the Dzen2 geometry (position and size)
-GEOMETRY="1920x24+0+0"
-
-# Create the Dzen2 bar with specified settings
-dzen2 -fn "$FONT" -fg "$FG_COLOR" -bg "$BG_COLOR" -ta l -w 800 -h 24 -x 0 -y 0 -e "onstart=lower" &
-DZEN_PID=$!
-
-# Function to update the Dzen2 bar
-update_dzen() {
- while true; do
- DATE=$(date +"%A, %B %d %Y - %H:%M:%S")
- echo -e "$DATE"
- sleep 1
- done
-}
-
-# Call the update_dzen function to continuously update the bar
-update_dzen | dzen2 -fn "$FONT" -fg "$FG_COLOR" -bg "$BG_COLOR" -x 800 -y 0 -w 1120 -h 24 -ta r -e "onstart=lower"
-
-# Clean up when the script exits
-trap "kill $DZEN_PID" EXIT
-
-# Wait for Dzen2 to finish
-wait
diff --git a/bin/.local/bin/scripts/emacs-theme.el b/bin/.local/bin/scripts/emacs-theme.el
deleted file mode 100644
index 4554cc3..0000000
--- a/bin/.local/bin/scripts/emacs-theme.el
+++ /dev/null
@@ -1,10 +0,0 @@
-(defun bard/disable-all-themes ()
- "Disable all active themes."
- (dolist (i custom-enabled-themes)
- (disable-theme i)))
-
-(bard/disable-all-themes)
-
-(setq selected-emacs-theme (car command-line-args-left))
-
-(load-theme (intern selected-emacs-theme) t)
diff --git a/bin/.local/bin/scripts/emacs/show-agenda.sh b/bin/.local/bin/scripts/emacs/show-agenda.sh
deleted file mode 100755
index 8ef6c16..0000000
--- a/bin/.local/bin/scripts/emacs/show-agenda.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-emacsclient -e "(bard/export-agenda-to-file)"
-cat ~/.cache/agenda
diff --git a/bin/.local/bin/scripts/emacs/youtube.el b/bin/.local/bin/scripts/emacs/youtube.el
deleted file mode 100644
index 5d062af..0000000
--- a/bin/.local/bin/scripts/emacs/youtube.el
+++ /dev/null
@@ -1,10 +0,0 @@
-(defun play-video-from-clipboard ()
- "Play a video from the clipboard using mpv."
- (interactive)
- (let ((clipboard-contents (shell-command-to-string "xclip -o -selection clipboard")))
- (if (string-empty-p clipboard-contents)
- (message "Clipboard is empty.")
- (let ((python-env "~/.pyvenv/bin/activate"))
- (shell-command (format "source %s && mpv %s" python-env clipboard-contents))))))
-
-(global-set-key (kbd "C-c p") 'play-video-from-clipboard)
diff --git a/bin/.local/bin/scripts/youtube.sh b/bin/.local/bin/scripts/find-yt-rss
index 02c8f3d..02c8f3d 100755..100644
--- a/bin/.local/bin/scripts/youtube.sh
+++ b/bin/.local/bin/scripts/find-yt-rss
diff --git a/bin/.local/bin/scripts/generic-theme-switch b/bin/.local/bin/scripts/generic-theme-switch
deleted file mode 100755
index 9374153..0000000
--- a/bin/.local/bin/scripts/generic-theme-switch
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/usr/bin/env bash
-
-WALLPAPER_DIR="$HOME/Pictures/wallpaper/Landscape"
-IMAGE="vertical-your-name-cafe.jpg"
-
-if [[ ! -e "$WALLPAPER_DIR/$IMAGE" ]]; then
- echo $WALLPAPER_DIR/$IMAGE
- echo "Wallpaper file doesn't exist"
- exit 1
-fi
-
-
-themes=("Gruber Darker"
- "Modus Vivendi"
- "Modus Operandi Tinted")
-
-if [ $# -eq 0 ]; then
- selected_theme=$(printf "%s\n" "${themes[@]}" | dmenu -i -p "Select a theme:")
-else
- selected_theme=$1
-fi
-
-# Exit if no theme is selected
-if [ -z "$selected_theme" ]; then
- exit 1
-fi
-
-apply_emacs_theme() {
- emacsclient -e "(bard/select-theme '$1)"
-}
-
-apply_generic_theme() {
- case $selected_theme in
- "Gruber Darker")
- BG_COLOR="#181818"
- FG_COLOR="#e4e4e4"
- IMAGE_BG="#282828"
- apply_emacs_theme "gruber-darker"
- xrdb -merge ~/.Xresources.d/Xresources.gruber
- ;;
- "Modus Vivendi" | "dark")
- BG_COLOR="#000000"
- FG_COLOR="#ffffff"
- IMAGE_BG="#535353"
- apply_emacs_theme "modus-vivendi"
- xrdb -merge ~/.Xresources.d/Xresources.vivendi
- ;;
- "Modus Operandi Tinted" | "light")
- BG_COLOR="#fbf7f0"
- FG_COLOR="#000000"
- IMAGE_BG="#efe9dd"
- apply_emacs_theme "modus-operandi-tinted"
- xrdb -merge ~/.Xresources.d/Xresources.operandi-tinted
- ;;
-
- esac
-}
-
-create_set_wallpaper () {
- magick $WALLPAPER_DIR/$IMAGE -gravity center -resize x900 -background $IMAGE_BG -extent 1920x1080 $HOME/.cache/$IMAGE-edit.png
- feh --no-fehbg --bg-fill "$HOME/.cache/$IMAGE-edit.png"
- echo "feh --no-fehbg --bg-fill '$HOME/.cache/$IMAGE-edit.png'" >> ~/.cache/wallpaper
-}
-
-apply_generic_theme
-create_set_wallpaper
diff --git a/bin/.local/bin/scripts/nsxiv-date.sh b/bin/.local/bin/scripts/nsxiv-date.sh
deleted file mode 100755
index 30b5335..0000000
--- a/bin/.local/bin/scripts/nsxiv-date.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/usr/bin/env bash
-
-find "$1" -type f -exec ls -t {} + | nsxiv -i -t
diff --git a/bin/.local/bin/scripts/nsxiv-pipe b/bin/.local/bin/scripts/nsxiv-pipe
deleted file mode 100755
index ce3746b..0000000
--- a/bin/.local/bin/scripts/nsxiv-pipe
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-tmpfile="${TMPDIR:-/tmp}/nsxiv_pipe_$$"
-trap 'rm -f -- "$tmpfile"' EXIT TERM INT QUIT
-
-if ! [ -t 0 ]; then
- # drain stdin to tmpfile if it's not connected to a terminal
- cat > "$tmpfile" || { echo "draining stdin failed" >&2; exit 1; }
-fi
-
-if [ -s "$tmpfile" ]; then
- nsxiv "$tmpfile" "$@"
-else # fallback
- [ "$#" -eq 0 ] && {
- cat >&2 << EOF
-nsxiv-pipe: Error: no file or stdin provided
-Usage:
- nsxiv-pipe < /path/to/file
- curl "\$image_url" | nsxiv-pipe
-EOF
- exit 1;
- }
- nsxiv "$@"
-fi
diff --git a/bin/.local/bin/scripts/pandoc-odt b/bin/.local/bin/scripts/pandoc-odt
index 0822479..d9dfe4f 100755
--- a/bin/.local/bin/scripts/pandoc-odt
+++ b/bin/.local/bin/scripts/pandoc-odt
@@ -1,4 +1,4 @@
#!/usr/bin/env bash
-pandoc $1 --citeproc -o $2.odt --bibliography=$HOME/Documents/bib/references.bib --csl=https://www.zotero.org/styles/apa
+pandoc $1 --citeproc --metadata nocite="*" -o $2.odt --bibliography=$HOME/Documents/Waverly\ Hill\ Paper/references.bib --csl=https://www.zotero.org/styles/mla
diff --git a/bin/.local/bin/scripts/rss.py b/bin/.local/bin/scripts/rss.py
deleted file mode 100644
index 31e7ea9..0000000
--- a/bin/.local/bin/scripts/rss.py
+++ /dev/null
@@ -1,43 +0,0 @@
-import requests
-from bs4 import BeautifulSoup
-
-# Function to find RSS feeds on a website
-def find_rss_feeds(url):
- try:
- # Send an HTTP GET request to the website
- response = requests.get(url)
-
- # Check if the request was successful
- if response.status_code == 200:
- # Parse the HTML content of the page using BeautifulSoup
- soup = BeautifulSoup(response.text, 'html.parser')
-
- # Search for RSS feed links in the HTML using a common pattern
- rss_links = []
- for link in soup.find_all('a', href=True):
- href = link['href']
- if 'rss' in href or 'feed' in href or 'xml' in href:
- rss_links.append(href)
-
- # If RSS feed links are found, return them
- if rss_links:
- return rss_links
- else:
- return "No RSS feeds found on this website."
-
- else:
- return f"Failed to retrieve the website. Status code: {response.status_code}"
-
- except requests.exceptions.RequestException as e:
- return f"Request failed: {e}"
-
-if __name__ == "__main__":
- website_url = input("Enter the website URL: ")
- rss_feeds = find_rss_feeds(website_url)
-
- if isinstance(rss_feeds, list):
- print("RSS feeds found on the website:")
- for rss_feed in rss_feeds:
- print(rss_feed)
- else:
- print(rss_feeds)
diff --git a/bin/.local/bin/scripts/school-video b/bin/.local/bin/scripts/school-video
deleted file mode 100755
index 2507592..0000000
--- a/bin/.local/bin/scripts/school-video
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/usr/bin/env bash
-
-# Prompt for YouTube URL using dmenu
-url=$(echo "" | dmenu -p "URL: ")
-
-# Check if the user provided a valid URL
-if [ -z "$url" ]; then
- echo "Invalid URL. Exiting..."
- exit 1
-fi
-
-# Set download directory
-download_dir="/tmp/school"
-
-# Download video with captions in MP4 format using youtube-dlp
-yt-dlp --write-sub --sub-lang en --format "bestvideo[ext=mp4]+bestaudio[ext=m4a]/best[ext=mp4]/best" -o "$download_dir/%(title)s.%(ext)s" "$url"
-
-# Get the filename of the downloaded video
-filename=$(youtube-dlp --get-filename --format "%(title)s.%(ext)s" "$url" -o "$download_dir/%(title)s.%(ext)s")
-
-# Get the filename of the subtitles
-subtitles_filename=$(yt-dlp --get-filename --format "%(title)s.%(ext)s" "$url" --sub-lang en -o "$download_dir/%(title)s.%(ext)s")
-
-# Open captions transcript in Emacs frame using dired
-emacsclient -e -c "(dired \"$download_dir\")" &
-emacsclient -e "(dired-do-find-regexp \"^$subtitles_filename\\.en\\.vtt$\")"
-
-# Play the downloaded video with mpv
-mpv "$download_dir/$filename"
diff --git a/bin/.local/bin/scripts/scratch.sh b/bin/.local/bin/scripts/scratch.sh
deleted file mode 100755
index 04ebde8..0000000
--- a/bin/.local/bin/scripts/scratch.sh
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/usr/bin/env bash
-
-modes=("fundamental" "org" "elisp")
-
-selected_mode=$(printf "%s\n" "${modes[@]}" | dmenu -p "Major mode: ")
-
-case $selected_mode in
- "fundamental")
- emacsclient -c -e "(bard/new-plain-buffer)"
- ;;
- "org")
- emacsclient -c -e "(bard/new-org-buffer)"
- ;;
- "elisp")
- emacsclient -c -e "(bard/new-elisp-buffer)"
- ;;
- *)
- echo "Invalid option selected."
- exit 1;
- ;;
- esac
diff --git a/bin/.local/bin/scripts/smart-launcher b/bin/.local/bin/scripts/smart-launcher
deleted file mode 100755
index 1253555..0000000
--- a/bin/.local/bin/scripts/smart-launcher
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-
-if [ "$#" -eq 1 ]; then
- selected=$(find $1 -mindepth 1 -maxdepth 1 -type d | fzf)
-else
- exit 0
-fi
-
-base_dir=$1
-
-if [ -z "$selected" ]; then
- exit 0
-fi
-
-case "$(basename $base_dir)" in
- "Pictures")
- nsxiv -t -r "$selected"
- ;;
- "Code" | "Repositories" | "Documents")
- selected_name=$(basename "$selected" | tr . _)
- tmux_running=$(pgrep tmux)
-
- if [ -z "$TMUX" ] && [ -z "$tmux_running" ]; then
- tmux new-session -s "$selected_name" -c "$selected"
- exit 0
- fi
-
- if ! tmux has-session -t="$selected_name" 2> /dev/null; then
- tmux new-session -ds "$selected_name" -c "$selected"
- fi
-
- # tmux switch-client -t "$selected"
- tmux attach
- ;;
- "*")
- echo "No default behaviour defined for $selected"
- ;;
-
-esac
diff --git a/bin/.local/bin/scripts/status/all b/bin/.local/bin/scripts/status/all
deleted file mode 100755
index 6985bce..0000000
--- a/bin/.local/bin/scripts/status/all
+++ /dev/null
@@ -1,152 +0,0 @@
-#!/usr/bin/env bash
-
-#### WEATHER
-url="${WTTRURL:-wttr.in}"
-weatherreport="${XDG_CACHE_HOME:-$HOME/.cache}/weatherreport"
-
-getforecast() { curl -sf "$url/Louisville?M" > "$weatherreport" || exit 1; }
-
-checkforecast() {
- [ -s "$weatherreport" ] && [ "$(stat -c %y "$weatherreport" 2>/dev/null |
- cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ]
-}
-
-getprecipchance() {
- echo "$weatherdata" | sed '16q;d' |
- grep -wo "[0-9]*%" |
- sort -rn |
- head -1q
-}
-
-getdailyhighlow() {
- echo "$weatherdata" | sed '13q;d' |
- grep -o "m\\([-+]\\)*[0-9]\\+" |
- sed 's/[+m]//g' |
- sort -g |
- sed -e 1b -e '$!d'
-}
-
-readfile() { weatherdata="$(cat "$weatherreport")" ;}
-
-showweather() {
- checkforecast || getforecast
- readfile
- printf "☔%s 🥶%s°C 🌞%s°C" "$(getprecipchance)" $(getdailyhighlow)
-}
-
-#### CLOCK
-clock=$(date '+%I')
-
-case "$clock" in
- "00") clockicon="🕛" ;;
- "01") clockicon="🕐" ;;
- "02") clockicon="🕑" ;;
- "03") clockicon="🕒" ;;
- "04") clockicon="🕓" ;;
- "05") clockicon="🕔" ;;
- "06") clockicon="🕕" ;;
- "07") clockicon="🕖" ;;
- "08") clockicon="🕗" ;;
- "09") clockicon="🕘" ;;
- "10") clockicon="🕙" ;;
- "11") clockicon="🕚" ;;
- "12") clockicon="🕛" ;;
-esac
-
-calendar_icon="📅"
-
-showclock () {
- printf "%s" $(date "+$calendar_icon %Y-%m-%d (%a) $clockicon %R:%S")
-}
-
-#### BATTERY
-showbattery () {
- for battery in /sys/class/power_supply/BAT?*; do
- [ -n "${capacity+x}" ] && printf " "
- case "$(cat "$battery/status" 2>&1)" in
- "Full") status="⚡" ;;
- "Discharging") status="🔋" ;;
- "Charging") status="🔌" ;;
- "Not charging") status="🛑" ;;
- "Unknown") status="♻️" ;;
- *) exit 1 ;;
- esac
- capacity="$(cat "$battery/capacity" 2>&1)"
- [ "$status" = "🔋" ] && [ "$capacity" -le 25 ] && warn="❗"
- printf "%s%s%d%%" "$status" "$warn" "$capacity"; unset warn
- done
-}
-
-#### NETWORK
-# Wifi
-if [ "$(cat /sys/class/net/w*/operstate 2>/dev/null)" = 'up' ] ; then
- wifiicon="$(awk '/^\s*w/ { print "📶", int($3 * 100 / 70) "% " }' /proc/net/wireless)"
-elif [ "$(cat /sys/class/net/w*/operstate 2>/dev/null)" = 'down' ] ; then
- [ "$(cat /sys/class/net/w*/flags 2>/dev/null)" = '0x1003' ] && wifiicon="📡 " || wifiicon="❌ "
-fi
-
-# Ethernet
-[ "$(cat /sys/class/net/e*/operstate 2>/dev/null)" = 'up' ] && ethericon="🌐" || ethericon="❎"
-
-# TUN
-[ -n "$(cat /sys/class/net/tun*/operstate 2>/dev/null)" ] && tunicon=" 🔒"
-
-shownetwork() {
- printf "%s%s%s" "$wifiicon" "$ethericon" "$tunicon"
-}
-
-#### MUSIC
-
-truncate() {
- echo "$1" | cut -c1-15
-}
-
-# Get current track info
-artist="$(playerctl metadata artist 2>/dev/null || echo "none")"
-title="$(playerctl metadata title 2>/dev/null || echo "none")"
-
-# Truncate artist and title to 15 characters
-truncated_artist=$(truncate "$artist")
-truncated_title=$(truncate "$title")
-
-# Format the output as "artist - title"
-current_track="$truncated_artist - $truncated_title"
-
-playerstatus=$(playerctl status)
-
-case "$playerstatus" in
- "Playing") playericon="🎵" ;;
- "Paused") playericon="⏸️" ;;
- "Stopped") playericon="⏹️" ;;
- "*") playericon="" ;;
-esac
-
-# Print the current track
-showmusic () {
- echo "$playericon $current_track"
-}
-
-#### MEMORY
-showmemory () {
- free --mebi | sed -n '2{p;q}' | awk '{printf ("🧠%2.2fGiB/%2.2fGiB\n", ( $3 / 1024), ($2 / 1024))}'
-}
-
-#### VOLUME
-
-mutestatus="pactl list sinks | grep -q 'Mute: yes' && echo $?"
-
-case "$mutestatus" in
- 0)
- soundicon="🔊" ;;
- *)
- soundicon="🔇" ;;
-esac
-
-showvolume() {
- volumeInput=$(pactl list sinks)
- currentVolume=$(echo "${volumeInput#*Sink #$sinkNumber}" | grep -E 'V.*-left' | grep -oE '[0-9]+%' | tail -n 1)
- printf "%s %s" $soundicon $currentVolume
-}
-
-#### CONCATENATION
-echo -e $(showmemory) "|" $(showweather) "|" $(shownetwork) "|" $(showmusic) "|" $(showvolume) "|" $(showbattery) "|" $(showclock)
diff --git a/bin/.local/bin/scripts/theme-switch.sh b/bin/.local/bin/scripts/theme-switch.sh
deleted file mode 100755
index 38c1cfc..0000000
--- a/bin/.local/bin/scripts/theme-switch.sh
+++ /dev/null
@@ -1,98 +0,0 @@
-#!/usr/bin/env bash
-
-# Define the available themes
-themes=("modus vivendi" "modus operandi tinted" "ef spring" "melissa dark")
-
-# dmenu to prompt the user for i3 theme selection
-selected_theme=$(printf "%s\n" "${themes[@]}" | dmenu -p "Select a theme:")
-
-# set the theme in the i3 configuration file
-set_theme() {
- sed -i "s/^set \$bg.*$/set \$bg $1/" ~/.config/i3/colors
- sed -i "s/^set \$fg.*$/set \$fg $2/" ~/.config/i3/colors
- sed -i "s/^set \$space.*$/set \$space $3/" ~/.config/i3/colors
- sed -i "s/^set \$red.*$/set \$red $4/" ~/.config/i3/colors
- sed -i "s/^set \$green.*$/set \$green $5/" ~/.config/i3/colors
- sed -i "s/^set \$yellow.*$/set \$yellow $6/" ~/.config/i3/colors
- sed -i "s/^set \$blue.*$/set \$blue $7/" ~/.config/i3/colors
- sed -i "s/^set \$aqua.*$/set \$aqua $8/" ~/.config/i3/colors
- sed -i "s/^set \$purple.*$/set \$purple $9/" ~/.config/i3/colors
- sed -i "s/^set \$border.*$/set \$border ${10}/" ~/.config/i3/colors
-}
-
-# paths for wallpapers per themes
-melissa_wallpaper1="/home/bard/Pictures/wallpaper/Landscape/Favourite/yellowshinkansen.jpg "
-melissa_wallpaper2="/home/bard/Pictures/wallpaper/Landscape/Favourite/teaworkers.jpg "
-vivendi_wallpaper="/home/bard/Pictures/wallpaper/Stoic/dublinlibrary.jpg"
-operandi_wallpaper="/home/bard/Pictures/wallpaper/Stoic/downton_abbey.jpg"
-spring_wallpaper1="/home/bard/Pictures/wallpaper/Landscape/Favourite/chineselake.jpg"
-spring_wallpaper2="/home/bard/Pictures/wallpaper/Art/TeahouseatKoishikawa.jpg"
-
-set_wallpaper() {
- # Set wallpaper for monitor 1
- nitrogen --set-zoom-fill --head=0 --save $1
-
- # Set wallpaper for monitor 2
- nitrogen --set-zoom-fill --head=1 --save $2
-
- echo $1
- echo $2
-}
-
-# bg, fg. space. red. green, yellow, blue, aqua/cyan, purple, border
-case $selected_theme in
- "modus vivendi")
- # set i3 theme
- set_theme "#000000" "#ffffff" "#ffffff" "#ff5f59" "#44bc44" "#fec43f" "#2fafff" "#00d3d0" "#b6a0ff" "#ffffff"
- # set xresources theme
- xrdb -merge /home/bard/Xresources.vivendi
- # set emacs theme
- selected_emacs_theme="modus-vivendi"
- emacsclient -e "(setq command-line-args-left (list \"$selected_emacs_theme\"))" -e "(load-file \"/home/bard/.local/bin/scripts/emacs-theme.el\")"
- # set wallpaper
- set_wallpaper $vivendi_wallpaper $vivendi_wallpaper
- ;;
- "modus operandi tinted")
- # set i3 theme
- set_theme "#fbf7f0" "#000000" "#000000" "#a60000" "#006800" "#6f5500" "#0031a9" "#721045" "#005e8b" "#721045"
- # set xresources theme
- xrdb -merge /home/bard/Xresources.operandi
- # set emacs theme
- selected_emacs_theme="modus-operandi-tinted"
- emacsclient -e "(setq command-line-args-left (list \"$selected_emacs_theme\"))" -e "(load-file \"/home/bard/.local/bin/scripts/emacs-theme.el\")"
- # set wallpaper
- set_wallpaper $operandi_wallpaper $operandi_wallpaper
- ;;
- "ef spring")
- # set i3 theme
- set_theme "#34494a" "#f6fff9" "#f6fff9" "#c42d2f" "#1a870f" "#a45f22" "#375cc6" "#1f6fbf" "#9435b4" "#9d5e7a"
- # set xresources theme
- xrdb -merge /home/bard/Xresources.spring
- # set emacs theme
- selected_emacs_theme="ef-spring"
- emacsclient -e "(setq command-line-args-left (list \"$selected_emacs_theme\"))" -e "(load-file \"/home/bard/.local/bin/scripts/emacs-theme.el\")"
- # set wallpaper
- set_wallpaper $spring_wallpaper1 $spring_wallpaper2
- ;;
- "melissa dark")
- # set i3 theme
- set_theme "#352718" "#e8e4b1" "#e8e4b1" "#ff7f7f" "#6fd560" "#ffa21f" "#57aff6" "#6fcad0" "#f0aac5" "#ffa21f"
- # set xresources theme
- xrdb -merge /home/bard/Xresources.melissa-dark
- # set emacs theme
- selected_emacs_theme="ef-melissa-dark"
- emacsclient -e "(setq command-line-args-left (list \"$selected_emacs_theme\"))" -e "(load-file \"/home/bard/.local/bin/scripts/emacs-theme.el\")"
- # set wallpaper
- set_wallpaper $melissa_wallpaper1 $melissa_wallpaper2
- ;;
- *)
- echo "Invalid theme selected."
- ;;
-esac
-
-# Reload i3 to apply the changes
-i3-msg reload
-
-# restart compositor
-killall picom
-picom --experimental-backends --daemon
diff --git a/bin/.local/bin/scripts/youtube.py b/bin/.local/bin/scripts/youtube.py
deleted file mode 100644
index 54168e6..0000000
--- a/bin/.local/bin/scripts/youtube.py
+++ /dev/null
@@ -1,22 +0,0 @@
-import re
-
-# Define the regular expression pattern for matching links
-pattern = r'https://youtube\.com/@\w+'
-
-# Initialize an empty list to store the matched links
-links = []
-
-# Open the file for reading
-with open('trimmed.html', 'r') as file:
- # Iterate through each line in the file
- for line in file:
- # Search for links that match the pattern in the current line
- matches = re.findall(pattern, line)
-
- # If matches were found, add them to the links list
- if matches:
- links.extend(matches)
-
-# Print the list of matched links
-for link in links:
- print(link)